> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/de/exoclick-public-api/api-manual-rate-limiting.md).

# Ratenbegrenzung

## Allgemeine Anfragebeschränkungen

Die API ist auf 150 Anfragen pro 60 Sekunden begrenzt. Alle Anfragen zählen zum Gesamtlimit. Jede von der API verarbeitete Anfrage gibt Informationen zur Ratenbegrenzung in den HTTP-Headern zurück.

{% hint style="info" %}
**Hinweis**: Die Ratenbegrenzung basiert sowohl auf dem Benutzernamen als auch auf der IP-Adresse. Daher ist ein einzelner Benutzername auf 150 Anfragen pro 60 Sekunden begrenzt, ebenso wie eine einzelne IP-Adresse.
{% endhint %}

## Login-Anfragebeschränkungen

Login-Anfragen sind auf **10 Anfragen pro 60 Sekunden**. Alle Anfragen zählen zum Gesamtlimit.

{% hint style="info" %}
**Hinweis**: Die IP-Adresse und der Benutzername jeder ausgeführten Statistik-Anfrage werden auf diese Limits angerechnet.
{% endhint %}

## Beschränkungen für Statistik-Anfragen

Statistik-Anfragen sind für jede IP-Adresse auf 30 Anfragen pro Minute und für jeden Benutzernamen auf 25 Anfragen pro Minute begrenzt.

{% hint style="info" %}
**Hinweis**: Die IP-Adresse und der Benutzername jeder ausgeführten Statistik-Anfrage werden auf diese Limits angerechnet.
{% endhint %}

Wenn Sie sich beispielsweise mit Ihrem Benutzernamen auf einem einzelnen Computer anmelden und 25 Statistik-Anfragen stellen, wird die nächste fehlschlagen. Sie könnten jedoch zu einem anderen Benutzernamen wechseln und 5 weitere Statistik-Anfragen stellen, bevor Sie das Limit für die IP-Adresse erreichen.

## Beispiele

### Ratenbegrenzung – Beispiel 1

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

Wenn das Rate-Limit überschritten wird, wird ein *429 Too Many Requests* HTTP-Fehler bei allen nachfolgenden Anfragen ausgelöst, bis das Rate-Limit zurückgesetzt wird. Wie bei einer normalen Anfrage sind die Informationen zur Ratenbegrenzung in den HTTP-Headern verfügbar.

### Ratenbegrenzung – Beispiel 2 (Limit überschritten)

```bash
$ curl -i https://api.example.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/de/exoclick-public-api/api-manual-rate-limiting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
